Get a customer withdrawal
One withdrawal by the withdrawalId from POST /withdraw, the CUSTOMER_WITHDRAW* webhooks, or the list endpoint.
Authentication
x-api-keystring
API Key authentication via header
Path parameters
id
Response
Withdrawal
id
Withdrawal id — withdrawalId from POST /withdraw and id on the CUSTOMER_WITHDRAW webhooks.
customerId
status
awaitingApprovalReason
Allowed values:
failureReason
mint
amount
Base units, always positive
uiAmount
txHash
toAddress
scannerUrl
createdAt
confirmedAt
idempotencyKey
The idempotencyKey sent on POST /withdraw, or null.
approvedAt
rejectedAt
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error